# Updating a connector in Google Cloud

Periodically, you may need to update your Google Cloud connector to help maintain functionality, performance, and security.

This article explains how to update a connector through the Helm CLI.

***

### Prerequisites

<table><thead><tr><th width="257">Item</th><th>Description</th></tr></thead><tbody><tr><td><strong>Apono Token</strong></td><td><p>Account-specific Apono authentication value<br><br>Use the following steps to obtain your token:</p><ol><li>On the <a href="https://app.apono.io/connectors"><strong>Connectors</strong></a> page, click <strong>Install Connector</strong>. The <strong>Install Connector</strong> page appears.</li><li>Click <strong>GCP > Install and Connect GCP Project > CLI (GKE)</strong>.</li><li>Copy the token in step listed on the page in step 1.</li></ol></td></tr><tr><td><strong>Helm Command Line Interface (Helm CLI)</strong></td><td><a href="https://helm.sh/docs/intro/install/">Command-line interface</a> used to manage Kubernetes applications</td></tr><tr><td><strong>Owner Role</strong></td><td><a href="https://cloud.google.com/iam/docs/roles-overview?sjid=2603002525407015039-NC#basic">Google Cloud role</a> that provides full access to most Google Cloud resources</td></tr><tr><td><strong>Project ID</strong></td><td>Identifier for the <a href="https://cloud.google.com/resource-manager/docs/creating-managing-projects#identifying_projects">Google project</a></td></tr><tr><td></td><td></td></tr></tbody></table>

***

### Update a connector

To update an Apono connector for Google Cloud, follow these steps in the shell environment:

1. Set the `APONO_CONNECTOR_ID` environment variable to your chosen connector ID value.

   ```shell
   export APONO_CONNECTOR_ID=apono-google-integration
   ```
2. Set the `APONO_TOKEN` environment variable to your account token.

   ```shell
   export APONO_TOKEN=abcd1234-e5f6-7g8h-90123i45678
   ```
3. Set the `PROJECT_ID` environment variable to the Google Project ID.

   ```shell
   export PROJECT_ID=my-project-12345
   ```
4. Set the `GCP_SERVICE_ACCOUNT_EMAIL` environment variable.

   ```shell
   export GCP_SERVICE_ACCOUNT_EMAIL=apono-connector-iam-sa@$PROJECT_ID.iam.gserviceaccount.com
   ```
5. Set the `NAMESPACE` to the namespace where the connector is installed.
6. Run the following `helm upgrade` command to pull the most recent connector version.

   ```shell
   helm upgrade apono-connector apono-connector --repo https://apono-io.github.io/apono-helm-charts \
       --set-string apono.token=$APONO_TOKEN \
       --set-string apono.connectorId=$APONO_CONNECTOR_ID \
       --set-string serviceAccount.gcpServiceAccountEmail=$GCP_SERVICE_ACCOUNT_EMAIL \
       --namespace $NAMESPACE \
       --create-namespace
   ```
7. On the [**Connectors**](https://app.apono.io/connectors) page, verify that the connector has been updated.


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.apono.io/docs/gcp-environment/apono-connector-for-gcp/updating-a-connector-in-google-cloud.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
